మూడు స్కీమ్లు
ప్రతి స్కీమ్ ఫోన్కు సరైన యాప్కు ఎలా అందజేయాలో తెలిసిన చిన్న టెక్స్ట్ ముక్క. mailto: ఇమెయిల్ యాప్ను, tel: డయలర్ను, sms: మెసేజింగ్ యాప్ను తెరుస్తాయి; స్వీకరించేవారు, కొన్నిసార్లు సందేశం ముందే నిండి ఉంటాయి.
ఫోన్ నంబర్లు ప్లస్ గుర్తు, దేశ కోడ్తో అంతర్జాతీయ ఫార్మాట్లో ఉంటే ఉత్తమం, ఉదాహరణకు +15035550123; అప్పుడు కోడ్ ఇతర దేశాల సందర్శకులకూ పనిచేస్తుంది.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (పాత సంప్రదాయం, ఇప్పటికీ విస్తృతంగా చదవబడుతుంది)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (పాత ఇమెయిల్ సంప్రదాయం)
సందేశ టెక్స్ట్ను ఎన్కోడ్ చేయడం
mailto, sms లింక్లలోని సబ్జెక్ట్లు, సందేశ బాడీలను పర్సెంట్-ఎన్కోడ్ చేయాలి; కాబట్టి ఖాళీ %20 అవుతుంది, టెక్స్ట్ లోపల ఆంపర్సండ్ %26 అవుతుంది. ఎన్కోడ్ చేయని అక్షరాలు సందేశాన్ని కుదించవచ్చు లేదా లింక్ను విరగ్గొట్టవచ్చు.
ప్లాట్ఫామ్లు sms body పారామీటర్ను ఎల్లప్పుడూ ఒకే విధంగా పార్స్ చేయలేదు; పాత SMSTO: రూపం ఇప్పటికీ QR జనరేటర్లలో సాధారణం కావడానికి ఇదొక కారణం. ముద్రణకు ముందు iPhone, Android రెండింటిలో పరీక్షించడమే నమ్మదగిన తనిఖీ.
ఈ కోడ్లు చేయలేనివి
QR కోడ్ దానంతట అదే ఇమెయిల్ పంపలేదు, టెక్స్ట్ పంపలేదు, కాల్ చేయలేదు. అది ఫీల్డ్లను నింపి యాప్ను మాత్రమే తెరుస్తుంది; స్కాన్ చేసిన వ్యక్తే పంపాలా, కాల్ చేయాలా నిర్ణయిస్తారు.
పంపే ముందు స్వీకరించేవారు కనిపిస్తారు కాబట్టి, అది తాము ఆశించినదానికి సరిపోతుందో ప్రజలు తనిఖీ చేయాలి. ప్రీమియం-రేట్ నంబర్కు లేదా అపరిచిత చిరునామాకు సందేశాన్ని ముందే నింపే కోడ్ హెచ్చరిక సంకేతం.